Name:           perl-Class-Inner
Version:        0.1
Release:        10%{?dist}
Summary:        A perlish implementation of Java like inner classes

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-Inner/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PD/PDCAWLEY/Class-Inner-%{version}.tar.gz
# Upstream RT bug 33533
Patch0:		perl-Class-Inner-0.1-perl510-testfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Yet another implementation of an anonymous class with per object overrideable
methods, but with the added attraction of sort of working dispatch to the
parent class's method.


%prep
%setup -q -n Class-Inner-%{version}
%patch0 -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.1-10
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.1-9
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1-6
- fix test for perl 5.10

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1-5
- rebuild for new perl

* Thu Dec 20 2007 Xavier Bachelot <xavier@bachelot.org> - 0.1-4
- Remove unneeded comment.
- Import into Fedora.

* Thu Dec 20 2007 Xavier Bachelot <xavier@bachelot.org> - 0.1-3
- Fix Summary, License and URL.
- Use %%{version} macro in Source.
- Properly own directory.

* Thu Dec 20 2007 Xavier Bachelot <xavier@bachelot.org> - 0.1-2
- Add missing BR:

* Tue Dec 11 2007 Xavier Bachelot <xavier@bachelot.org> - 0.1-1
- Initial build.
